List settlement accounts
Retrieves the merchant’s settlement accounts, newest first.
GET
https://api.lite.sa
/
settlements
/
settlement-accounts
List settlement accounts
curl --request GET \
--url https://api.lite.sa/settlements/settlement-accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lite.sa/settlements/settlement-accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lite.sa/settlements/settlement-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lite.sa/settlements/settlement-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lite.sa/settlements/settlement-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lite.sa/settlements/settlement-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "4b0f6c1e-2d3a-4f5b-8c7d-9e0f1a2b3c4d",
"status": "ACTIVE",
"name": "Mohammed Ali Alharbi",
"masked_national_id": "1*******78",
"masked_iban": "SA03****************7519",
"currency": "SAR",
"created_at": "2026-09-29T10:00:00.000Z",
"updated_at": "2026-09-29T10:00:00.000Z"
}
],
"pagination_data": {
"count": 100,
"pages": 4,
"page": 1,
"page_size": 25,
"has_next": true,
"has_previous": false
}
}{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key for service-to-service or merchant authentication.
Headers
Unique identifier for request tracing. Generated by the client or server if not provided.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Filter by settlement account status
Available options:
ACTIVE, DELETED ⌘I
List settlement accounts
